System Requirements

A successful Engine installation requires an application server, a database management system (DBMS, often referred to simply as a "database"), and a filesystem (or filesystem-equivalent) for storing course content.

As a general rule, our implementation team will expect your development team to have configuration expertise of your selected deployment environment. We will try to help however we can, but we are limited in our ability to support anything outside the scope of Engine itself.

If a specific software requirement is not otherwise listed here, our general policy for any Engine deployment environment is to support any versions of software still officially supported by the vendor. For instance, as of January 12, 2016, we no longer support any version of Internet Explorer no longer officially supported by Microsoft.

Application Server

  • For .NET Engine, we require .NET Framework 4.5.2 or higher be available with IIS.
  • For Java Engine, we require Java 8 or higher, and an application server that supports Java Servlets.

DBMS

Engine's installer and data definition language (DDL) allow it to work with any of the following DBMSs:

  • SQL Server 2012 or higher
  • Oracle 11g2 or higher
  • MySQL 5.6 or higher
  • PostgreSQL 9.4 or higher

results matching ""

    No results matching ""